classification
Title: Let "braces" be a constant
Type: enhancement Stage:
Components: Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, dhilipsiva, haypo, rhettinger
Priority: normal Keywords: patch

Created on 2014-02-11 10:55 by dhilipsiva, last changed 2014-02-13 05:39 by dhilipsiva. This issue is now closed.

Files
File name Uploaded Description Edit
constant_braces.patch dhilipsiva, 2014-02-11 10:55 A Patch for "braces" constant review
Messages (7)
msg210919 - (view) Author: DhilipSiva (dhilipsiva) * Date: 2014-02-11 10:55
Make the "braces" in the "Python/future.c" as a constant declared in "Include/compile.h"
msg210949 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-02-11 15:26
I don't really see the point besides foolish consistency.
msg210960 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-02-11 16:19
If braces becomes a constant, the joke "from __future__ import braces" doesn't work anymore, so I'm against such change. Python must be fun :)
msg211085 - (view) Author: DhilipSiva (dhilipsiva) * Date: 2014-02-12 12:01
While both of you disagree, I really liked STINNER Victor (haypo)'s comment. I feel dumb sending this patch. It makes myself think that this was a totally wrong thing to do. But Benjamin Peterson (benjamin.peterson)'s comment make me feel sad and Hurtful.
msg211102 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2014-02-12 17:03
It should be noted that "foolish consistency" is simply a reference to the quote in PEP 8, not a personal insult.
msg211119 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2014-02-13 00:09
+0 This seems like a harmless refactoring that makes the code slightly more consistent and readable.
msg211129 - (view) Author: DhilipSiva (dhilipsiva) * Date: 2014-02-13 05:39
Apologies for misunderstanding the reference Benjamin Peterson (benjamin.peterson). You are right :)
History
Date User Action Args
2014-02-13 05:39:51dhilipsivasetmessages: + msg211129
2014-02-13 00:09:51rhettingersetnosy: + rhettinger
messages: + msg211119
2014-02-12 17:03:14benjamin.petersonsetmessages: + msg211102
2014-02-12 12:16:33SilentGhostsetstatus: open -> closed
resolution: rejected
2014-02-12 12:01:40dhilipsivasetmessages: + msg211085
2014-02-11 16:19:52hayposetnosy: + haypo
messages: + msg210960
2014-02-11 15:26:19benjamin.petersonsetmessages: + msg210949
2014-02-11 15:03:52pitrousetnosy: + benjamin.peterson
2014-02-11 10:55:56dhilipsivacreate